From: Jakub Jirutka <jakub@jirutka.cz>
Date: Sun, 6 Feb 2022 22:23:00 +0100
Subject: [PATCH] Patch dependencies

- Link vulkan-loader at runtime instead of build-time to make it optional
  (it's used only for `capturer = "wlroots"`).

diff --git a/Cargo.lock b/Cargo.lock
index 93da6d3..5563f86 100644
--- a/Cargo.lock
+++ b/Cargo.lock
@@ -40,6 +40,9 @@ name = "ash"
 version = "0.37.2+1.3.238"
 source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "28bf19c1f0a470be5fbf7522a308a05df06610252c5bcf5143e1b23f629a9a03"
+dependencies = [
+ "libloading",
+]
 
 [[package]]
 name = "atty"
diff --git a/Cargo.toml b/Cargo.toml
index 4161c6d..6f4be06 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -11,7 +11,7 @@ serde = { version = "1.0", features = ["derive"] }
 serde_yaml = "0.9"
 toml = { git = "https://github.com/HarveyHunt/toml", branch = "dotted-table-parsing-toml" }
 chrono = "0.4"
-ash = { version = "0.37.0", features = ["linked"], default-features = false }
+ash = { version = "0.37.0", features = ["loaded"], default-features = false }
 itertools = "0.10"
 v4l = { version = "0.13.0", features = ["libv4l"], default-features = false }
 ddc-hi = "0.4"
